EmailPlugin (Social Portal ASL Extension 1.4.0-4.12.0-169465 API)
Date: 2018-07-18

org.gcube.applicationsupportlayer.social.mailing

## Class EmailPlugin

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.mailing.EmailPlugin

-     public class EmailPlugin
      extends Object

  Author:
    Massimiliano Assante, Costantino Perciante

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ArrayList<NotificationMail>` | `BUFFER_EMAILS`
    `protected static int` | `SECONDS2WAIT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EmailPlugin` | `getInstance(org.gcube.vomanagement.usermanagement.UserManager userManager, String context)`
    `void` | `sendNotification(String portalURL, String siteLandingPagePath, org.gcube.portal.databook.shared.Notification notification2Save, String vreName, String portalName, String senderEmail, Set<String> mentionedGroups, String... hashtags)` enqueue the message to send

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECONDS2WAIT

          protected static final int SECONDS2WAIT

      See Also:
        Constant Field Values

    - #### BUFFER_EMAILS

          protected static ArrayList<NotificationMail> BUFFER_EMAILS

  - ### Method Detail

    - #### getInstance

          public static EmailPlugin getInstance(org.gcube.vomanagement.usermanagement.UserManager userManager,
                                                String context)

      Parameters:
        `context` - the infrastucture context (scope)
      Returns:

    - #### sendNotification

          public void sendNotification(String portalURL,
                                       String siteLandingPagePath,
                                       org.gcube.portal.databook.shared.Notification notification2Save,
                                       String vreName,
                                       String portalName,
                                       String senderEmail,
                                       Set<String> mentionedGroups,
                                       String... hashtags)

      enqueue the message to send
      Parameters:
        `notification2Save` -
        `vreName` -
        `portalName` -
        `senderEmail` -

Copyright © 2018. All Rights Reserved.